## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 20
%bcond_without check
%global debug_package %{nil}

%global crate statrs

Name:           rust-%{crate}
Version:        0.15.0
Release:        %autorelease
Summary:        Statistical computing library for Rust

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/statrs
Source:         %{crate}-%{version_no_tilde}-clean.crate
# script to create tarball without files with unacceptable licenses
# run "rust2rpm statrs" and then "./gen_clean_tarball.sh" for new versions
Source1:        gen_clean_tarball.sh
# Initial patched metadata
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
# * bump nalgebra from 0.27.1 to 0.30:
#   https://github.com/statrs-dev/statrs/commit/9cb3081
#   https://github.com/statrs-dev/statrs/pull/162
# * drop nightly-only feature
Patch0:         statrs-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Statistical computing library for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE.md
%doc CHANGELOG.md README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# skip tests that require non-redistributable data files
%cargo_test -- -- --skip statistics::iter_statistics::tests::test_covariance_consistent_with_variance --skip statistics::iter_statistics::tests::test_covariance_is_symmetric --skip statistics::iter_statistics::tests::test_mean --skip statistics::iter_statistics::tests::test_pop_covar_consistent_with_pop_var --skip statistics::iter_statistics::tests::test_std_dev
%endif

%changelog
* Sun Feb 06 2022 Fabio Valentini <decathorpe@gmail.com> 0.15.0-3
- Bump nalgebra dependency from 0.29 to 0.30

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Sep 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> 0.15.0-1
- Initial import; Fixes: RHBZ#1993498
